WhatsApp · Business Agent

Get agent setup status

Fetches agent setup status.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/business-agent
getBusinessAgentStatus

Guide: Business AI agent

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/business-agent" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • eligiblebooleanrequired

    Can be null.

  • termsAcceptedbooleanrequired
  • onboardedbooleanrequired
  • enabledbooleanrequired
  • agentIdstringrequired

    Can be null.

  • settingsobjectrequired

    One of:

    Business Agent Settings (7 fields)
    • agent_idstringrequired
    • channelstringrequired
    • rolloutobjectrequired
      1 child field
      • enabledbooleanrequired
    • handoffobject

      Can be null.

      3 child fields
      • enabledboolean
      • messagestring
      • message_selectionstring

        One of DEFAULT, AGENT, CUSTOM.

    • followupobject

      Can be null.

      3 child fields
      • enabledboolean
      • followup_interval_in_secondsinteger

        One of 0, 300, 900, 1800, 3600, 7200, 28800, 86400.

      • messagestring
    • ai_audiencestring

      One of EVERYONE, ALLOWLISTED_ONLY. Can be null.

    • never_say_phrasesarray of string
  • manualStepsarray of objectrequired
    • stepstringrequired

      One of accept_terms.

    • urlstring (URL)required
    • descriptionstringrequired
  • unverifiedStepsarray of objectrequired
    • stepstringrequired

      One of attach_payment_method.

    • urlstring (URL)required
    • descriptionstringrequired
200 response
{
  "eligible": true,
  "termsAccepted": true,
  "onboarded": true,
  "enabled": true,
  "agentId": "6b99fbd950277956c14bd44d",
  "settings": {
    "agent_id": "61107e42d7605e217d408f43",
    "channel": "string",
    "rollout": {
      "enabled": true
    },
    "handoff": {
      "enabled": true,
      "message": "Hello from Pozy",
      "message_selection": "DEFAULT"
    },
    "followup": {
      "enabled": true,
      "followup_interval_in_seconds": 0,
      "message": "Hello from Pozy"
    },
    "ai_audience": "EVERYONE",
    "never_say_phrases": [
      "string"
    ]
  },
  "manualSteps": [
    {
      "step": "accept_terms",
      "url": "https://pozy.ai/media/example-1.jpg",
      "description": "A short description"
    }
  ],
  "unverifiedSteps": [
    {
      "step": "attach_payment_method",
      "url": "https://pozy.ai/media/example-1.jpg",
      "description": "A short description"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Business Agent